#define GFCLK_ERR_LOAD		1
#define GFCLK_ERR_DITECT	2

typedef struct
{
	DWORD clock;
	DWORD pll;
}NVPLL;

int InitializeGFClk(void);
void EndGFClk(void);
DWORD CalcClock(DWORD pll);
HANDLE LoadDriver(char *drivername, char *driverpath);
void UnloadDriver(char *drivername);
DWORD ReadPhysicalMemory(DWORD address, int size);
void WritePhysicalMemory(DWORD address, int size, DWORD data);
void GetNVPLLStatus(NVPLL *core, NVPLL *mem);
void SetNVPLLStatus(const NVPLL *core, const NVPLL *mem);
int CalcPLL(DWORD clock, NVPLL *out);
DWORD GetBaseAddress(void);
