#define GFCLK_TYPE 40000

#define GFCLK_READ_MEM \
	CTL_CODE(GFCLK_TYPE, 0x900, METHOD_BUFFERED, FILE_ANY_ACCESS)

#define GFCLK_WRITE_MEM \
	CTL_CODE(GFCLK_TYPE, 0x901, METHOD_BUFFERED, FILE_ANY_ACCESS)

#define GFCLK_READ_PCICONF \
	CTL_CODE(GFCLK_TYPE, 0x902, METHOD_BUFFERED, FILE_ANY_ACCESS)

#define DRIVER_FUNC_INSTALL 	0x01
#define DRIVER_FUNC_REMOVE		0x02

#define DRIVER_NAME 	  "GFClk"

typedef struct
{
	void *address;
	unsigned long size;
	unsigned long data;
}PHYSICALRDWR;

typedef struct
{
	unsigned long bus;
	unsigned long slot;
	unsigned long length;
	void *data;
}PCICONFIGRDWR;
